﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TelerikMvcApp2.Models;

namespace TelerikMvcApp2.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult DropDownList()
        {
            return View();
        }

        public JsonResult GetCategories()
        {
            List<Category> categories = new List<Category>();
            categories.Add(new Category() { Id = 1, Name = "Name 1" });
            categories.Add(new Category() { Id = 2, Name = "Name 2" });
            categories.Add(new Category() { Id = 3, Name = "Name 3" });

            //return Json(northwind.Categories.Select(c => new { CategoryId = c.CategoryID, CategoryName = c.CategoryName }), JsonRequestBehavior.AllowGet);
            return Json(categories, JsonRequestBehavior.AllowGet);
        }


        public ActionResult About()
        {

            List<MyViewModel> data = new List<MyViewModel>();
            data.Add(new MyViewModel() { Text = "item 1", Value = "1", Group = "Group1"});
            data.Add(new MyViewModel() { Text = "item 2", Value = "2", Group = "Group1" });
            data.Add(new MyViewModel() { Text = "item 3", Value = "3", Group = "Group2" });
            data.Add(new MyViewModel() { Text = "item 4", Value = "4", Group = "Group2" });

            ViewData["items"] = data;

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}
