﻿using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TelerikMvcApp2.Models;

namespace TelerikMvcApp2.Controllers
{
    public class ReportGridController : Controller
    {
        // GET: ReportGrid
        public ActionResult Index()
        {
            return View();
        }

        public JsonResult Volume([DataSourceRequest] DataSourceRequest request)
        {
            //var products = productService.Read();

            var volumes = new List<VolumeViewModel>();

            volumes.Add(new VolumeViewModel() { Collat = "Collat", Firm = "Firm", Product = "Product 1", Symbol = "USD", UserName = "User 1", Volume = 10 });
            volumes.Add(new VolumeViewModel() { Collat = "Collat", Firm = "Firm", Product = "Product 2", Symbol = "EUR", UserName = "User 2", Volume = 20 });


            return Json(volumes.ToDataSourceResult(request));

        }
    }
}